## org.hibernate.testing.junit.functional
Class ExecutionEnvironment

    java.lang.Object
      org.hibernate.testing.junit.functional.ExecutionEnvironment

    public class ExecutionEnvironment

extends Object

Author:
  Steve Ebersole

Nested Class Summary
`static interface` `ExecutionEnvironment.Settings`

Field Summary
`static Dialect` `DIALECT`

Constructor Summary
`ExecutionEnvironment(ExecutionEnvironment.Settings settings)`

Method Summary
`void` `complete()`
`Configuration` `getConfiguration()`
`Dialect` `getDialect()`
`SessionFactory` `getSessionFactory()`
`void` `initialize()`
`boolean` `isAllowRebuild()`
`void` `rebuild()`
`void` `setAllowRebuild(boolean allowRebuild)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIALECT

    public static final Dialect DIALECT

Constructor Detail

### ExecutionEnvironment

    public ExecutionEnvironment(ExecutionEnvironment.Settings settings)

Method Detail

### isAllowRebuild

    public boolean isAllowRebuild()

### setAllowRebuild

    public void setAllowRebuild(boolean allowRebuild)

### getDialect

    public Dialect getDialect()

### getConfiguration

    public Configuration getConfiguration()

### getSessionFactory

    public SessionFactory getSessionFactory()

### initialize

    public void initialize()

### rebuild

    public void rebuild()

### complete

    public void complete()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.